• 欢迎浏览“String me = Creater\忠实的资深Linux玩家;”,请文明浏览,理性发言,有侵犯你的权益请邮件我(creater@vip.qq.com).
  • 把任何的失败都当作一次尝试,不要自卑;把所有的成功都想成是一种幸运,不要自傲。
  •    3年前 (2016-01-19)  web前端 |   抢沙发  11 
    文章评分 0 次,平均分 0.0

    今天安装某php开发程序时候最上面出现了一个错误提示:Strict Standards: Only variables should be passed by reference in cls_template.php on line 418

    解决办法:
    打开ls_template.php文件418行中发现下面这段代码:
    $tag_sel = array_shift(explode(' ', $tag));
    忘记说了,我的PHP版本是5.4.19,PHP5.3以上默认只能传递具体的变量,而不能通过函数返回值传递,所以这段代码中的explode就得移出来重新赋值了
    $tagArr = explode(' ', $tag);
    $tag_sel = array_shift($tagArr);
    这样之后顶部的报错没掉了,左侧和底部的报错还需要去ecshop的后台点击清除缓存才能去除。

    Strict Standards: Non-static method cls_image::gd_version() should not be called statically in /var/www/new/includes/lib_base.php on line 346

    将function gd_version()改成static function gd_version()即可。
    改成:

    $p = new cls_image();
    return $p->gd_version();

     

    除特别注明外,本站所有文章均为String me = "Creater\忠实的资深Linux玩家";原创,转载请注明出处来自http://unix8.net/home.php/4593.html

    关于

    发表评论

    暂无评论

    切换注册

    登录

    忘记密码 ?

    切换登录

    注册

    扫一扫二维码分享